package com.zkqy.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;

/**
 * 动态表格统计对象 drag_table_statistic
 * 
 * @author zkqy
 * @date 2023-10-27
 */
public class DragTableStatistic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 统计标题 */
    @Excel(name = "统计标题")
    private String statisticTitle;

    /** 表格key */
    @Excel(name = "表格key")
    private String tableKey;

    /** 统计描述 */
    @Excel(name = "统计描述")
    private String statisticDescription;

    /** 统计类型 */
    @Excel(name = "统计类型")
    private String statisticType;

    /** 统计字段 */
    @Excel(name = "统计字段")
    private String statisticField;

    /** 统计对象 */
    @Excel(name = "统计对象")
    private String statisticObject;

    /** 执行sql */
    @Excel(name = "执行sql")
    private String sqlKey;

    /** 删除标志（0：否；2：是） */
    private String delFlag;

    //执行sql返回结果
    private Object result;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getStatisticTitle() {
        return statisticTitle;
    }

    public void setStatisticTitle(String statisticTitle) {
        this.statisticTitle = statisticTitle;
    }

    public String getTableKey() {
        return tableKey;
    }

    public void setTableKey(String tableKey) {
        this.tableKey = tableKey;
    }

    public String getStatisticDescription() {
        return statisticDescription;
    }

    public void setStatisticDescription(String statisticDescription) {
        this.statisticDescription = statisticDescription;
    }

    public String getStatisticType() {
        return statisticType;
    }

    public void setStatisticType(String statisticType) {
        this.statisticType = statisticType;
    }

    public String getStatisticField() {
        return statisticField;
    }

    public void setStatisticField(String statisticField) {
        this.statisticField = statisticField;
    }

    public String getStatisticObject() {
        return statisticObject;
    }

    public void setStatisticObject(String statisticObject) {
        this.statisticObject = statisticObject;
    }

    public String getSqlKey() {
        return sqlKey;
    }

    public void setSqlKey(String sqlKey) {
        this.sqlKey = sqlKey;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Object getResult() {
        return result;
    }

    public void setResult(Object result) {
        this.result = result;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("statisticTitle", getStatisticTitle())
            .append("tableKey", getTableKey())
            .append("statisticDescription", getStatisticDescription())
            .append("statisticType", getStatisticType())
            .append("statisticField", getStatisticField())
            .append("statisticObject", getStatisticObject())
            .append("sqlKey", getSqlKey())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
